Developer Documentation

Public Slots | Signals | Public Member Functions | List of all members
KeyInterface Class Reference

Keyboard Event Interface. More...

`#include <OpenFlipper/BasePlugin/KeyInterface.hh>`

Inheritance diagram for KeyInterface:

## Public Slots
virtual void | slotKeyEvent (QKeyEvent *_event)
| Key Event from Main App. More...

## Signals
virtual void | registerKey (int _key, Qt::KeyboardModifiers _modifiers, QString _description, bool _multiUse=false)
| Register a key-combination for your plugin. More...

## Public Member Functions
virtual void | slotKeyReleaseEvent (QKeyEvent *_event)
| Key Release Event from Main App. More...
virtual | ~KeyInterface ()
| Destructor.

## Detailed Description

Keyboard Event Interface.

Detailed description
Using this interface you can react on key events.

Definition at line 59 of file KeyInterface.hh.

## Member Function Documentation

## ◆ registerKey

virtual void KeyInterface::registerKey | ( | int | _key,
|  | Qt::KeyboardModifiers | _modifiers,
|  | QString | _description,
|  | bool | _multiUse = `false`
| ) |  |
| inline virtual signal

Register a key-combination for your plugin.

To obtain key events from the viewer for a certain key-combination, you have to register that combination first

Parameters

  _key | the key that should be registered
  _modifiers | the keyboard modifiers
  _description | a short description about the functionality (Will be used in the Options Widget)
  _multiUse | can the key additionally be registered by another plugin (You could make a key exclusive by this)

Definition at line 71 of file KeyInterface.hh.

## ◆ slotKeyEvent

virtual void KeyInterface::slotKeyEvent | ( | QKeyEvent * | _event | ) |
| inline virtual slot

Key Event from Main App.

This slot is called if a key event occurred in the Viewer

Parameters

  _event | Key event

Definition at line 80 of file KeyInterface.hh.

## ◆ slotKeyReleaseEvent()

virtual void KeyInterface::slotKeyReleaseEvent | ( | QKeyEvent * | _event | ) |
| inline virtual

Key Release Event from Main App.

This slot is called if a key release event occurred in the Viewer

Parameters

  _event | Key event

Definition at line 87 of file KeyInterface.hh.

The documentation for this class was generated from the following file:

- OpenFlipper/BasePlugin/KeyInterface.hh